// DO NOT EDIT. This file is generated by Fresh.
// This file SHOULD be checked into source version control.
// This file is automatically updated during development when running `dev.ts`.

import * as $_app from "./routes/_app.tsx";
import * as $api_joke from "./routes/api/joke.ts";
import * as $circle from "./routes/circle.tsx";
import * as $index from "./routes/index.tsx";
import * as $joke from "./routes/joke.tsx";
import * as $CirclePage from "./islands/CirclePage.tsx";
import * as $IndexPage from "./islands/IndexPage.tsx";
import * as $JokePage from "./islands/JokePage.tsx";
import type { Manifest } from "$fresh/server.ts";

const manifest = {
  routes: {
    "./routes/_app.tsx": $_app,
    "./routes/api/joke.ts": $api_joke,
    "./routes/circle.tsx": $circle,
    "./routes/index.tsx": $index,
    "./routes/joke.tsx": $joke,
  },
  islands: {
    "./islands/CirclePage.tsx": $CirclePage,
    "./islands/IndexPage.tsx": $IndexPage,
    "./islands/JokePage.tsx": $JokePage,
  },
  baseUrl: import.meta.url,
} satisfies Manifest;

export default manifest;
